summaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl/tests/warnings-test.sh
diff options
context:
space:
mode:
authorEmil Velikov <[email protected]>2017-02-22 15:53:21 +0000
committerEmil Velikov <[email protected]>2017-03-10 14:12:45 +0000
commit7473fcd40b5d105eac9592dabc88f8757555cfc9 (patch)
tree5482d9621e47acaa2f1e161d8b8040d38c63f8f2 /src/compiler/glsl/tests/warnings-test.sh
parent32d153c428cbb70aa4639f5a95689a7bb5c9d152 (diff)
glsl/tests: suffix .sh/.py files as applicable
This makes it easier/clearer as to: - if the file should have the execute bit set (.py should not) - do we need the shebang in the first place and if so what it should be Signed-off-by: Emil Velikov <[email protected]> Reviewed-by: Eric Engestrom <[email protected]>
Diffstat (limited to 'src/compiler/glsl/tests/warnings-test.sh')
-rwxr-xr-xsrc/compiler/glsl/tests/warnings-test.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/src/compiler/glsl/tests/warnings-test.sh b/src/compiler/glsl/tests/warnings-test.sh
new file mode 100755
index 00000000000..1bea4665394
--- /dev/null
+++ b/src/compiler/glsl/tests/warnings-test.sh
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+
+# Execute several shaders, and check that the InfoLog outcome is the expected.
+
+compiler=./glsl_compiler
+total=0
+pass=0
+
+echo "====== Testing compilation output ======"
+for test in `find . -iname '*.vert'`; do
+ echo -n "Testing $test..."
+ $compiler --just-log --version 150 "$test" > "$test.out" 2>&1
+ total=$((total+1))
+ if diff "$test.expected" "$test.out" >/dev/null 2>&1; then
+ echo "PASS"
+ pass=$((pass+1))
+ else
+ echo "FAIL"
+ diff "$test.expected" "$test.out"
+ fi
+done
+
+echo ""
+echo "$pass/$total tests returned correct results"
+echo ""
+
+if [[ $pass == $total ]]; then
+ exit 0
+else
+ exit 1
+fi